cat <<EOF
OUTPUT_FORMAT("${OUTPUT_FORMAT}")
OUTPUT_ARCH(${ARCH})

${RELOCATING+${LIB_SEARCH_DIRS}}
${STACKZERO+${RELOCATING+${STACKZERO}}}
${SHLIB_PATH+${RELOCATING+${SHLIB_PATH}}}

SECTIONS
{
  ${RELOCATING+. = ${TEXT_START_ADDR};}
  .text :
  {
    ${RELOCATING+___machtype = ABSOLUTE(0x0);}
    ${RELOCATING+_stext = .;}
    ${RELOCATING+__stext = .;}
    *(.text)
    ${RELOCATING+_etext = .;}
    ${RELOCATING+__etext = .;}
    ${RELOCATING+___text_size = ABSOLUTE(_etext - _stext);}
    ${PAD_TEXT+${RELOCATING+. = ${DATA_ALIGNMENT};}}
  }
  ${RELOCATING+. = ${DATA_ALIGNMENT};}
  .data :
  {
    ${RELOCATING+_sdata = .;}
    ${RELOCATING+__sdata = .;}
    ${CONSTRUCTING+CONSTRUCTORS}
    *(.data)
    ${RELOCATING+_edata = .;}
    ${RELOCATING+__edata = .;}
    ${RELOCATING+___data_size = ABSOLUTE(_edata - _sdata);}
  }
  ${RELOCATING+. = ALIGN(0x0);}
  .bss :
  {
    ${RELOCATING+ __bss_start = .};
    *(.bss)
    *(COMMON)
    ${RELOCATING+_end = . };
    ${RELOCATING+__end = . };
    ${RELOCATING+___bss_size = ABSOLUTE(_end - __bss_start);}
  }
}
EOF
